<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: RCE_PCS Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">RCE_PCS Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for RCE_PCS:</div>
<div class="dyncontent">
<div class="center"><img src="classRCE__PCS__inherit__graph.png" border="0" usemap="#RCE__PCS_inherit__map" alt="Inheritance graph"/></div>
<map name="RCE__PCS_inherit__map" id="RCE__PCS_inherit__map">
<area shape="rect" id="node4" href="classEventBuilder.html" title="EventBuilder" alt="" coords="79,155,180,181"/><area shape="rect" id="node2" href="enumencoder__8b10b.html" title="encoder_8b10b" alt="" coords="5,5,125,32"/><area shape="rect" id="node3" href="classRCE__LINK.html" title="RCE_LINK" alt="" coords="149,5,240,32"/><area shape="rect" id="node5" href="classWIB.html" title="WIB" alt="" coords="105,229,153,256"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classRCE__PCS-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classRCE__PCS_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classRCE__PCS.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Generics"></a>
Generics</h2></td></tr>
 <tr class="memitem:af9c5835a9587cd05467b9e7cc7a61dca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af9c5835a9587cd05467b9e7cc7a61dca"></a>
<a class="el" href="classRCE__PCS.html#af9c5835a9587cd05467b9e7cc7a61dca">TX_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a5973e4a7c85b5a6cef31debc294a36e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5973e4a7c85b5a6cef31debc294a36e9"></a>
<a class="el" href="classRCE__PCS.html#a5973e4a7c85b5a6cef31debc294a36e9">WORD_WIDTH</a> &#160;</td><td class="memItemRight" valign="bottom"><b><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classRCE__PCS.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9fe91dba5304535bf7ed87526e798021"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9fe91dba5304535bf7ed87526e798021"></a>
<a class="el" href="classRCE__PCS.html#a9fe91dba5304535bf7ed87526e798021">pll_powerdown</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab271f3244be584411658c8e4d86728b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab271f3244be584411658c8e4d86728b6"></a>
<a class="el" href="classRCE__PCS.html#ab271f3244be584411658c8e4d86728b6">tx_analogreset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4cce52b193b28a7b525bf68cb96f62a6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4cce52b193b28a7b525bf68cb96f62a6"></a>
<a class="el" href="classRCE__PCS.html#a4cce52b193b28a7b525bf68cb96f62a6">tx_digitalreset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0b12c6ffbe11cf11c038b3b39aacafe2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0b12c6ffbe11cf11c038b3b39aacafe2"></a>
<a class="el" href="classRCE__PCS.html#a0b12c6ffbe11cf11c038b3b39aacafe2">tx_refclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a88f540a86798f20eeb97151ce4e40ee8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88f540a86798f20eeb97151ce4e40ee8"></a>
<a class="el" href="classRCE__PCS.html#a88f540a86798f20eeb97151ce4e40ee8">pll_locked</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2b3662500898cfff2c4966ee873f15e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2b3662500898cfff2c4966ee873f15e4"></a>
<a class="el" href="classRCE__PCS.html#a2b3662500898cfff2c4966ee873f15e4">tx</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8a19def10ef629d44c1ec2e0f6668925"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8a19def10ef629d44c1ec2e0f6668925"></a>
<a class="el" href="classRCE__PCS.html#a8a19def10ef629d44c1ec2e0f6668925">clk_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5618bcbae5a926f997380a5a85ba27b0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5618bcbae5a926f997380a5a85ba27b0"></a>
<a class="el" href="classRCE__PCS.html#a5618bcbae5a926f997380a5a85ba27b0">data_wr</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac4cab678c933ad4d55737a8bfeec04cb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac4cab678c933ad4d55737a8bfeec04cb"></a>
<a class="el" href="classRCE__PCS.html#ac4cab678c933ad4d55737a8bfeec04cb">k_data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6cb94d9002657043eb0f601b75f76577"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6cb94d9002657043eb0f601b75f76577"></a>
<a class="el" href="classRCE__PCS.html#a6cb94d9002657043eb0f601b75f76577">data</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">TX_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_WIDTH</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="RCE__PCS_8vhd_source.html#l00008">8</a> of file <a class="el" href="RCE__PCS_8vhd_source.html">RCE_PCS.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/EventBuilder/RCE/<a class="el" href="RCE__PCS_8vhd_source.html">RCE_PCS.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
